
Name:           zathura
Version:        0.0.8.5
Release:        1%{?dist}
Summary:        A lightweight PDF viewer
Group:          Applications/Publishing
License:        zlib
URL:            http://zathura.pwmt.org/projects/zathura
Source0:        http://zathura.pwmt.org/attachments/download/31/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gdk-pixbuf-devel, gtk2-devel, poppler-glib-devel, cairo-devel, glib2-devel
BuildRequires:  desktop-file-utils


%description
Zathura is a highly configurable and functional PDF viewer based on the Poppler
rendering library and the GTK+ toolkit. The idea behind zathura is an
application that provides a minimalist and space saving interface as well as
an easy usage that mainly focuses on keyboard interaction.


%prep
%setup -q
# don't rebuid at install time
sed -ie "s/install:\ all/install:\ /g" Makefile


%build
export CFLAGS="%{optflags}"
make debug
mv zathura-debug zathura


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 zathura.desktop %{buildroot}%{_datadir}/applications/
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
update-desktop-database &> /dev/null || :


%postun
update-desktop-database &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/applications/*


%changelog
* Tue Nov 15 2011 François Cami <fcami@fedoraproject.org> - 0.0.8.5-1
- Update to latest upstream.

* Fri Oct 28 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.3-6
- rebuild(poppler)

* Fri Sep 30 2011 Marek Kasik <mkasik@redhat.com> - 0.0.8.3-5
- Rebuild (poppler-0.18.0)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.0.8.3-4
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.0.8.3-3
- Rebuild (poppler-0.17.0)

* Sat Apr 02 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.8.3-2
- It's update-desktop-database, not update-mime-database

* Fri Apr 01 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.8.3-1
- Update to 0.0.8.3
- Drop patch for poppler >= 0.15 (no longer needed)
- Run update-mime-database in %%post and %%postun

* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 0.0.8.2-5
- Rebuild (poppler-0.16.3)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 01 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.2-3
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.2-2
- rebuild (poppler)

* Wed Dec 01 2010 François Cami <fcami@đedoraproject.ort> - 0.0.8.2-1
- new upstream version + drop merged patch (dso build fix)

* Sat Nov 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.1-8
- rebuilt (poppler)

* Wed Oct  6 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.8.1-7
- rebuild and fix for new poppler

* Fri Aug 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.1-6
- rebuild (poppler)

* Sun Aug 15 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-5
- switch to sed (Kevin Fenzi).
- use desktop-file-validate on the desktop file (Kevin Fenzi).

* Sun Aug 15 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-4
- change zathura.desktop Version to 1.0.

* Sat Aug 14 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-3
- add CFLAGS (Kevin Fenzi).
- use the debug target to generate the debuginfo rpm properly.
- add zathura.desktop file and install it.

* Sat Aug 14 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-2
- fix licensing, thanks to Dennis Johnson's review.

* Tue Aug 10 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-1
- initial package.

